OGRE: Ogre::RTShader::FunctionStageRef Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::RTShader::FunctionStageRef Class Reference
Optional Components » RTShaderSystem

represents a FFPShaderStage, part of a Function More...

`#include <OgreShaderFunction.h>`

## Public Member Functions
void | add (const In &arg0, const In &arg1, const Out &dst) const
| dst = arg0 + arg1;
void | assign (const In &from, const Out &to) const
| to = from;
void | assign (const std::vector< Operand > &params) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | binaryOp (char op, const std::vector< Operand > &params) const
| dst = arg0 OP arg1;
void | callBuiltin (const char *name, const In &arg, const Out &ret) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | callBuiltin (const char *name, const In &arg0, const In &arg1, const In &arg2, const Out &ret) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | callBuiltin (const char *name, const In &arg0, const In &arg1, const Out &ret) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | callBuiltin (const char *name, const std::vector< Operand > &params) const
| shorthand for "dst = BUILTIN(args);"
void | callFunction (const char *name, const In &arg, const Out &ret) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | callFunction (const char *name, const In &arg0, const In &arg1, const Out &ret) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | callFunction (const char *name, const InOut &inout) const
| call a library function
void | callFunction (const char *name, const std::vector< Operand > &params) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | div (const In &arg0, const In &arg1, const Out &dst) const
| dst = arg0 / arg1;
void | mul (const In &arg0, const In &arg1, const Out &dst) const
| dst = arg0 * arg1;
void | sampleTexture (const In &sampler, const In &texcoord, const Out &dst) const
| dst = texture(sampler, texcoord);
void | sampleTexture (const std::vector< Operand > &params) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | sub (const In &arg0, const In &arg1, const Out &dst) const
| dst = arg0 - arg1;

## Detailed Description

represents a FFPShaderStage, part of a Function

## Member Function Documentation

## ◆ callFunction() [1/4]

void Ogre::RTShader::FunctionStageRef::callFunction | ( | const char * | name,
|  | const InOut & | inout ) const

call a library function

Parameters

  name | the function name
  inout | function argument

Referenced by callFunction().

## ◆ callFunction() [2/4]

void Ogre::RTShader::FunctionStageRef::callFunction | ( | const char * | name,
|  | const std::vector< Operand > & | params ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ callFunction() [3/4]

void Ogre::RTShader::FunctionStageRef::callFunction | ( | const char * | name,
|  | const In & | arg,
|  | const Out & | ret ) const
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

References callFunction().

Referenced by callFunction().

## ◆ callFunction() [4/4]

void Ogre::RTShader::FunctionStageRef::callFunction | ( | const char * | name,
|  | const In & | arg0,
|  | const In & | arg1,
|  | const Out & | ret ) const
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

References callFunction().

## ◆ sampleTexture() [1/2]

void Ogre::RTShader::FunctionStageRef::sampleTexture | ( | const In & | sampler,
|  | const In & | texcoord,
|  | const Out & | dst ) const
| inline

dst = texture(sampler, texcoord);

References sampleTexture().

Referenced by sampleTexture().

## ◆ sampleTexture() [2/2]

void Ogre::RTShader::FunctionStageRef::sampleTexture | ( | const std::vector< Operand > & | params | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ assign() [1/2]

void Ogre::RTShader::FunctionStageRef::assign | ( | const In & | from,
|  | const Out & | to ) const
| inline

to = from;

References assign().

Referenced by assign().

## ◆ assign() [2/2]

void Ogre::RTShader::FunctionStageRef::assign | ( | const std::vector< Operand > & | params | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ mul()

void Ogre::RTShader::FunctionStageRef::mul | ( | const In & | arg0,
|  | const In & | arg1,
|  | const Out & | dst ) const
| inline

dst = arg0 * arg1;

References binaryOp().

## ◆ div()

void Ogre::RTShader::FunctionStageRef::div | ( | const In & | arg0,
|  | const In & | arg1,
|  | const Out & | dst ) const
| inline

dst = arg0 / arg1;

References binaryOp().

## ◆ sub()

void Ogre::RTShader::FunctionStageRef::sub | ( | const In & | arg0,
|  | const In & | arg1,
|  | const Out & | dst ) const
| inline

dst = arg0 - arg1;

References binaryOp().

## ◆ add()

void Ogre::RTShader::FunctionStageRef::add | ( | const In & | arg0,
|  | const In & | arg1,
|  | const Out & | dst ) const
| inline

dst = arg0 + arg1;

References binaryOp().

## ◆ binaryOp()

void Ogre::RTShader::FunctionStageRef::binaryOp | ( | char | op,
|  | const std::vector< Operand > & | params ) const

dst = arg0 OP arg1;

Referenced by add(), div(), mul(), and sub().

## ◆ callBuiltin() [1/4]

void Ogre::RTShader::FunctionStageRef::callBuiltin | ( | const char * | name,
|  | const std::vector< Operand > & | params ) const

shorthand for "dst = BUILTIN(args);"

Referenced by callBuiltin(), and callBuiltin().

## ◆ callBuiltin() [2/4]

void Ogre::RTShader::FunctionStageRef::callBuiltin | ( | const char * | name,
|  | const In & | arg,
|  | const Out & | ret ) const
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

References callBuiltin().

Referenced by callBuiltin().

## ◆ callBuiltin() [3/4]

void Ogre::RTShader::FunctionStageRef::callBuiltin | ( | const char * | name,
|  | const In & | arg0,
|  | const In & | arg1,
|  | const Out & | ret ) const
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

References callBuiltin().

## ◆ callBuiltin() [4/4]

void Ogre::RTShader::FunctionStageRef::callBuiltin | ( | const char * | name,
|  | const In & | arg0,
|  | const In & | arg1,
|  | const In & | arg2,
|  | const Out & | ret ) const
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

References callBuiltin().

The documentation for this class was generated from the following file:

- OgreShaderFunction.h